Object.assign = require('object.assign');
// 全局统一布局
import 'muse-ui/lib/styles/base.less';
import 'assets/css/ali-iconfont/iconfont.css';
import 'assets/css/ali-iconfont/iconfont.js';
import 'assets/css/lj-base.less';

import {
    // Alert,
    AppBar,
    AutoComplete,
    // Avatar,
    Badge,
    // BottomNav,
    // BottomSheet,
    // Breadcrumbs,
    Button,
    // Card,
    Checkbox,
    // Chip,
    DateInput,
    DataTable,
    Dialog,
    Divider,
    Drawer,
    ExpansionPanel,
    // Form,
    Grid,
    // GridList,
    // Helpers,
    // Icon,
    List,
    LoadMore,
    Menu,
    // Pagination,
    Paper,
    // Picker,
    // Popover,
    // Progress,
    Radio,
    Select,
    // SlidePicker,
    // Slider,
    // Snackbar,
    // Stepper,
    // SubHeader,
    Switch,
    Tabs,
    TextField,
    // Tooltip,
    theme
} from 'muse-ui';

import Vue from 'vue'
import vTap from 'v-tap'

// Vue.use(Alert);
Vue.use(AppBar);
Vue.use(AutoComplete);
// Vue.use(Avatar);
Vue.use(Badge);
// Vue.use(BottomNav);
// Vue.use(BottomSheet);
// Vue.use(Breadcrumbs);
Vue.use(Button);
// Vue.use(Card);
Vue.use(Checkbox);
// Vue.use(Chip);
Vue.use(DateInput);
Vue.use(DataTable);
Vue.use(Dialog);
Vue.use(Divider);
Vue.use(Drawer);
Vue.use(ExpansionPanel);
// Vue.use(Form);
Vue.use(Grid);
// Vue.use(GridList);
// Vue.use(Helpers);
// Vue.use(Icon);
Vue.use(List);
Vue.use(LoadMore);
Vue.use(Menu);
// Vue.use(Pagination);
Vue.use(Paper);
// Vue.use(Picker);
// Vue.use(Popover);
// Vue.use(Progress);
Vue.use(Radio);
Vue.use(Select);
// Vue.use(SlidePicker);
// Vue.use(Slider);
// Vue.use(Snackbar);
// Vue.use(Stepper);
// Vue.use(SubHeader);
Vue.use(Switch);
Vue.use(Tabs);
Vue.use(TextField);
// Vue.use(Tooltip);
Vue.use(vTap); //添加vue tap事件

import $lj from 'components/lj-public'

Vue.filter('dateFilter', function(date) {
    date = $lj.dateformat(date, 'yyyy-MM-dd');
    return date;
});

window.$lj = $lj;
// import theme from 'muse-ui/lib/theme';

theme.add('lj-light', {
    primary: '#2196f3',
    secondary: '#e3f2fd'
}, 'light');

theme.use('lj-light');
export default Vue;