let productInfo = {
    productCode:"L1WorkerAPP"
};
// 记录已被占用的key，防止使用冲突
let storageKeySet = new Set([
    "token",
    "serverConnectParams",// 服务器连接参数：ip、port、cusid
    "userHistory",
    "user",// Login接口返回的对象
    "userInfo",// GetQ5UserInfo接口返回的对象
    "loginRememberUser",// 记住用户名，记录上次登陆的用户名
    "lastLoginAccount",//上次登陆选择的账套
    "cacheDir",// 文件缓存路径根目录
    "userQueryHabit",// 用户筛选习惯
    "userEditHabit",//用户编辑习惯
    "downloadFileMap",//下载缓存文件的映射：MD5-最终保存的文件名（含后缀）
    "acceptAndFinish" // 接报工
]);
// 记录已被占用的事件名，防止使用冲突
let eventNameSet = new Set([
    "keyback",// api平台级别的返回键事件
    "token_overdue",//会话失效
    "login_success",// 登录页面登录成功
    "grid_style_updated",// 列表字段样式编辑成功事件携带参数{stylename:对应列表组件的style-name属性}
    "cust_save_success",// 客户详细信息界面保存成功
    // "outwaresale_save_success",// 销售发货单界面保存成功
    "cust_select",//客户选择
    "spt_select",//供应商选择
    "mtrldef_select",//物料选择
    "mtrlware_select",//库存选择
    "saletask_select",//销售订单选择
    "musttake_select"//客户应收帐选择
]);
export {productInfo,storageKeySet,eventNameSet}